<?xml version="1.0"?>
<!-- data creazione: 2015-02-19 data ultima modifica: 2020-01-06 modifiche: -->
<project name="screwdriver.makejar" default="makejar" basedir=".">
	<target name="makejar" description="Create a jar for the screwdriver project">
		<property name="jarProdottoF" value="screwdriver.jar" />
		<property name="jarProdottoG" value="lib/${jarProdottoF}" />
		<property name="clienteYdeliv" value="..\delivery" />
		<tstamp>
			<format property="myTime" pattern="yyyy-MM-dd HH:mm:ss" />
		</tstamp>
		<jar jarfile="lib/screwdriver.jar">
			<fileset dir="bin"
				includes="it/ramecera/screwdriver/*.class, it/ramecera/screwdriver/**/*.class" />
			<fileset dir="src" includes="it/ramecera/screwdriver/*.jpg" />
			<fileset dir=""
				excludes=".settings/*, .settings/*.*, *, *.*, log/*, log/*.*, doc/*, doc/*.*, doc/**/*.*, src/*.*, src/**/*.*, lib/*, lib/*.*, lib/**/*.*, bin/*.*, bin/**/*.*" />
			<fileset dir="src" includes="it/ramecera/screwdriver/log4j.xml" />
			<manifest>
				<attribute name="Built-By" value="${user.name}" />
				<attribute name="Built-Date" value="${myTime}" />
				<attribute name="Ant-Version" value="${ant.version}" />
				<attribute name="Ant-Java-Version" value="${ant.java.version}" />
				<attribute name="Java-Version" value="${java.version}" />
				<attribute name="Operative-System" value="${os.name}" />
				<attribute name="Main-Class" value="it.ramecera.screwdriver.Hammer" />
				<attribute name="Class-Path" value="salad.jar log4j-1.2.17.jar" />
			</manifest>
		</jar>
		<copy file="${jarProdottoG}" todir="${clienteYdeliv}" />
	</target>
</project>
